liblua5.1-devel-5.1.5-alt15.i586.rpm


Advertisement

Description

liblua5.1-devel - Embeddable programming language

Property Value
Distribution ALT Linux Sisyphus
Repository Classic i586
Package filename liblua5.1-devel-5.1.5-alt15.i586.rpm
Package name liblua5.1-devel
Package version 5.1.5
Package release alt15
Package architecture i586
Package type rpm
Category Development/Other
Homepage -
License -
Maintainer -
Download size 40.57 KB
Installed size 40.57 KB
Lua is a powerful, light-weight programming language designed for extending
applications.  The language engine is accessible as a library, having a C
API which allows the application to exchange data with Lua programs and also
to extend Lua with C functions.  Lua is also used as a general-purpose,
stand-alone language through the simple command line interpreter provided.

Alternatives

Package Version Architecture Repository
liblua5.1-devel-5.1.5-alt15.x86_64.rpm 5.1.5 x86_64 Classic
liblua5.1-devel - - -

Requires

Name Value
liblua5.1 = 5.1.5-alt15:sisyphus+226121.100.1.1
liblua5.1-compat-devel = 5.1.5-alt15:sisyphus+226121.100.1.1
libreadline-devel -
rpmlib(PayloadIsLzma) -

Provides

Name Value
asterisk-build-hacks = 0.0.2
liblua5.1-devel = 5.1.5-alt15:sisyphus+226121.100.1.1
lua5.1-devel = 5.1.5-alt15
pkgconfig(lua-5.1) = 5.1.5
pkgconfig(lua5.1) = 5.1.5

Conflicts

Name Value
asterisk-build-hacks < 0.0.2

Obsoletes

Name Value
asterisk-build-hacks < 0.0.2

Download

Type URL
Mirror ftp.altlinux.org
Binary Package liblua5.1-devel-5.1.5-alt15.i586.rpm
Source Package lua5.1-5.1.5-alt15.src.rpm

Install Howto

  1. Add the following line to /etc/apt/sources.list:
    
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus i586 classic
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus noarch classic
    
  2. Update the package index:
    # sudo apt-get update
  3. Install liblua5.1-devel rpm package:
    # sudo apt-get install liblua5.1-devel

Files

Path
/usr/include/lua5.1
/usr/include/lua-5.1/lauxlib.h
/usr/include/lua-5.1/lua.h
/usr/include/lua-5.1/lua.hpp
/usr/include/lua-5.1/luaconf.h
/usr/include/lua-5.1/lualib.h
/usr/lib/liblua-5.1.so
/usr/lib/liblua5.1.so
/usr/lib/pkgconfig/lua-5.1.pc
/usr/lib/pkgconfig/lua5.1.pc

Changelog

2018-03-27 - Igor Vlasenko <viy@altlinux.ru> 5.1.5-alt15
- added Requires: libreadline-devel to devel (not found by autoreq)
2017-03-26 - Vladimir D. Seleznev <vseleznv@altlinux.org> 5.1.5-alt14
- removed lua5.1-5.1.5-alt-at-luaconf.patch in favor to general approach
2017-03-09 - Igor Vlasenko <viy@altlinux.ru> 5.1.5-alt13
- adjusted liblua5-devel conflicts (closes: #33223)
2017-03-09 - Igor Vlasenko <viy@altlinux.ru> 5.1.5-alt12
- added liblua5-devel provides (closes: #33223)
2017-02-15 - Igor Vlasenko <viy@altlinux.ru> 5.1.5-alt11
- no need for lua5.1-alt-compat provides now
- stronger Conflicts: lua5.1-alt-compat < 1.0.1
2017-02-14 - Igor Vlasenko <viy@altlinux.ru> 5.1.5-alt10
- compat devel stuff moved to liblua5.1-compat-devel (for future use)
2017-02-14 - Igor Vlasenko <viy@altlinux.ru> 5.1.5-alt9
- added conflicts and provides for asterisk-build-hacks
2017-02-11 - Igor Vlasenko <viy@altlinux.ru> 5.1.5-alt8
- added Requires: on preinstall subpackage
- upgrade script made more forceful (should help #33104)
2017-02-10 - Igor Vlasenko <viy@altlinux.ru> 5.1.5-alt7
- added /usr/include/lua5.1 (seen in boswars, for better compatibility)
2017-02-09 - Igor Vlasenko <viy@altlinux.ru> 5.1.5-alt6
- added lua5.1.pc and liblua5.1.so as packages expect them
- added if_with lua_compat to group conflicting files

See Also

Package Description
liblua5.1-devel-static-5.1.5-alt15.i586.rpm Embeddable programming language
liblua5.1-preinstall-5.1.5-alt15.i586.rpm preinstall package for liblua5.1
liblua5.3-5.3.5-alt2.i586.rpm Libraries for lua
liblua5.3-devel-5.3.5-alt2.i586.rpm Development files for lua
liblua5.3-devel-static-5.3.5-alt2.i586.rpm Static library for lua
libluajit-2.1-alt9.i586.rpm library for luajit
libluajit-devel-2.1-alt9.i586.rpm Development package that includes the luajit header files
libluajit-devel-static-2.1-alt9.i586.rpm static library for luajit
liblucene++-3.0.7-alt5.i586.rpm A high-performance, full-featured text search engine written in C++
liblucene++-devel-3.0.7-alt5.i586.rpm Development files for lucene++
liblur-0.9.901-alt0.2.i586.rpm Logitech Unifying Receiver library
liblur-devel-0.9.901-alt0.2.i586.rpm Development files for liblur
liblvm2-2.03.5-alt1.i586.rpm LVM2 shared libraries
liblvm2-devel-2.03.5-alt1.i586.rpm LVM2 development libraries and headers
liblwp-2.6-alt1_16.i586.rpm C library for user-mode threading
Advertisement
Advertisement